# Enum Class VulkanColorComponentFlag

java.lang.Object
java.lang.Enum<VulkanColorComponentFlag>
com.io7m.jcoronado.api.VulkanColorComponentFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType`, `Serializable`, `Comparable<VulkanColorComponentFlag>`, `Constable`

public enum VulkanColorComponentFlag extends Enum<VulkanColorComponentFlag> implements VulkanEnumBitmaskType

See Also:
  - "VkColorComponentFlags"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_COLOR_COMPONENT_A_BIT`
  Alpha
  `VK_COLOR_COMPONENT_B_BIT`
  Green
  `VK_COLOR_COMPONENT_G_BIT`
  Blue
  `VK_COLOR_COMPONENT_R_BIT`
  Red

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanColorComponentFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanColorComponentFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_COLOR_COMPONENT_A_BIT

    public static final VulkanColorComponentFlag VK_COLOR_COMPONENT_A_BIT
    Alpha

  - ### VK_COLOR_COMPONENT_B_BIT

    public static final VulkanColorComponentFlag VK_COLOR_COMPONENT_B_BIT
    Green

  - ### VK_COLOR_COMPONENT_G_BIT

    public static final VulkanColorComponentFlag VK_COLOR_COMPONENT_G_BIT
    Blue

  - ### VK_COLOR_COMPONENT_R_BIT

    public static final VulkanColorComponentFlag VK_COLOR_COMPONENT_R_BIT
    Red

- ## Method Details

  - ### values

    public static VulkanColorComponentFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanColorComponentFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant